net.sourceforge.pmd.dcd.graph

## Class ClassNode

- java.lang.Object
- - net.sourceforge.pmd.dcd.graph.ClassNode

All Implemented Interfaces:
  Comparable<ClassNode>, NodeVisitorAcceptor

    public class ClassNode
    extends Object
    implements NodeVisitorAcceptor, Comparable<ClassNode>

Represents a Class in a UsageGraph. Contains lists of FieldNodes, ConstructorNodes, and MethodNodes.

### Constructor Summary

Constructors
Constructor and Description
`ClassNode(String name)`

### Method Summary

Methods
`Object` `accept(NodeVisitor visitor, Object data)`
`int` `compareTo(ClassNode that)`
`ConstructorNode` `defineConstructor(String name, String desc)`
`FieldNode` `defineField(String name, String desc)`
`MethodNode` `defineMethod(String name, String desc)`
`boolean` `equals(Object obj)`
`List<ConstructorNode>` `getConstructorNodes()`
`List<FieldNode>` `getFieldNodes()`
`List<MethodNode>` `getMethodNodes()`
`String` `getName()`
`Class<?>` `getType()`
`int` `hashCode()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClassNode

    public ClassNode(String name)

### Method Detail

#### accept

    public Object accept(NodeVisitor visitor,
                Object data)

Specified by:
  `accept` in interface `NodeVisitorAcceptor`

#### getName

    public String getName()

#### getType

    public Class<?> getType()

#### defineField

    public FieldNode defineField(String name,
                        String desc)

#### defineConstructor

    public ConstructorNode defineConstructor(String name,
                                    String desc)

#### defineMethod

    public MethodNode defineMethod(String name,
                          String desc)

#### getFieldNodes

    public List<FieldNode> getFieldNodes()

#### getConstructorNodes

    public List<ConstructorNode> getConstructorNodes()

#### getMethodNodes

    public List<MethodNode> getMethodNodes()

#### compareTo

    public int compareTo(ClassNode that)

Specified by:
  `compareTo` in interface `Comparable<ClassNode>`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`